package shop.alien.util.base64;

import lombok.extern.slf4j.Slf4j;
//import sun.misc.BASE64Encoder;

import java.io.FileInputStream;
import java.io.InputStream;
import java.util.Base64;

/**
 * @author ssk
 * @version 1.0
 * @date 2023/1/30 14:03
 */
@Slf4j
public class Img2Base64 {

    /**
     * 图片转base64
     *
     * @param filePath 图片路径
     * @return String
     */
    public static String imgToBase64(String filePath) {
        try {
            InputStream is = new FileInputStream(filePath);
            byte[] b = new byte[is.available()];
            is.read(b);
            is.close();
            return Base64.getEncoder().encodeToString(b);
        } catch (Exception e) {
            log.error("Img2Base64/imgToBase64 ERROR Msg={}", e.getMessage());
            return null;
        }
    }

//    /**
//     * 使用sun.misc.BASE64Encoder将图片转换成Base64
//     * 图片转换成Base64
//     *
//     * @param filePath 图片的路径
//     * @return String
//     */
//    public static String imgToBASE64Encoder(String filePath) {
//        try {
//            InputStream inputStream = new FileInputStream(filePath);
//            byte[] data = new byte[inputStream.available()];
//            inputStream.read(data);
//            inputStream.close();
//            BASE64Encoder encoder = new BASE64Encoder();
//            return encoder.encode(data);
//        } catch (Exception e) {
//            log.error("Img2Base64/imgToBASE64Encoder ERROR Msg={}", e.getMessage());
//            return null;
//        }
//    }
}
